# -*- coding: utf-8 -*-
'''
gainlevel.py

all function to gain level in skills,spells or stats
'''

import mudsys, mud, char

################################################################################
# Functions
################################################################################

def check_exp(ch, name, type):
    '''function check if player have enough experience for gain new level in
       skill/stat/spell - if yes, raise this skill/stat/spell and inform about
       this player'''
    if ch.is_npc:
        return
    if type == 'stat':
        stats = ['str', 'dex', 'int', 'con']
        index = stats.index(name)
        level = ch.aux('stats').values[index]
        exp = ch.aux('stats').secondvalues[index]
        message = 'Twoja %s rośnie!' % ch.aux('stats').names[index]
        need_exp = 1000 * (level + 1)
    else:
        index = ch.aux('skills').names.index(name)
        level = ch.aux('skills').levels[index]
        exp = ch.aux('skills').exp[index]
        need_exp = 100 * (level + 1)
        message = 'Twoja umiejętność %s wzrasta!' % name
    if exp >= need_exp:
        exp = exp - need_exp
        if type == "stat":
            ch.aux('stats').values[index] = level + 1
            ch.aux('stats').secondvalues[index] = exp
            if index == 0:
                ch.aux('stats').secondvalues[4] += 1
                ch.aux('stats').secondvalues[5] += 1
            elif index == 3:
                ch.aux('stats').secondvalues[4] += 1
                ch.aux('stats').secondvalues[5] += 1
                ch.aux('stats').secondvalues[6] += 1
                ch.aux('stats').secondvalues[7] += 1
        else:
            ch.aux('skills').levels[index] += 1
            ch.aux('skills').exp[index] = exp
        ch.send(message)
